[Top] [All Lists]

gcc -3.4.4 and linux-2.4.32

Subject: gcc -3.4.4 and linux-2.4.32
From: Kishore K <>
Date: Mon, 16 Jan 2006 17:53:26 +0530
Domainkey-signature: a=rsa-sha1; q=dns; c=nofws; s=beta;; h=received:message-id:date:from:to:subject:mime-version:content-type; b=CzCmpjC7U17TekwL70HqBBvVcj8+1QGL1iCtDPBNzixDoTYrA7Z3cEQnMJfcV4KgvU1gzUeH22NGEBERellrm5XfKFwpq+pha2E3/l/wggKKkaV0pAVGRBZhy7snLTkGC2i92YH3gc1Yk0g/uzycVGIvdr9uUlZTfxct2fnNvJ0=
Original-recipient: rfc822;
When 2.4.32 kernel (from linux-mips) is compiled with the tool chain based on gcc 3.4.4 and binutils 2.16.1, the kernel crashes on malta board. The crash file is enclosed along with the mail. If the same kernel is compiled with the tool chain based on gcc 3.3.6, no problem is observed.

May I know, whether it is because of the changes in ABI in gcc 3.4. If so, has any one got the patch to make 2.4.x kernels work with gcc 3.4 compilers? From the changelog, I can infer that, some changes have been done in 2.4.28 kernel to work with gcc 3.4 for i386. If so, has the same thing been done for MIPS as well.


Attachment: crash
Description: Binary data

<Prev in Thread] Current Thread [Next in Thread>